# Openbsd.fr.eu.org v2

## Français

Site principal de openbsd.fr.eu.org

### Description

Ceci est le site principal de openbsd.fr.eu.org, un site francophone d'une communautée centrée sur OpenBSD. Il est entièrement conçu à l'aide du générateur de site kiln.

### Construction

#### Dépendances

 * Go
 * Python 3 & pip
 * [kiln](https://git.sr.ht/~adnano/kiln)
 * [gmitohtml](https://git.sr.ht/~adnano/gmnitohtml)
 * [mdtohtml](https://git.sr.ht/~adnano/mdtohtml)
 * [md2gemini](https://github.com/makeworld-the-better-one/md2gemini)
 * gmake (sur OpenBSD uniquement)

#### Installation

 * Fedora GNU/Linux :
```bash
$ sudo dnf install go scdoc
$ git clone https://git.sr.ht/~adnano/kiln
$ cd kiln && make && sudo make install
$ git clone https://git.sr.ht/~adnano/mdtohtml
$ cd mdtohtml && make && sudo make install
$ git clone https://git.sr.ht/~adnano/gmnitohtml
$ cd gmnitohtml && make && sudo make install
$ sudo pip3 install md2gemini
```
 * OpenBSD :
```bash
$ doas pkg_add golang gmake scdoc
$ git clone https://git.sr.ht/~adnano/kiln
$ cd kiln && gmake && doas gmake install
$ git clone https://git.sr.ht/~adnano/mdtohtml
$ cd mdtohtml && gmake && doas gmake install
$ git clone https://git.sr.ht/~adnano/gmnitohtml
$ cd gmnitohtml && gmake && doas gmake install
$ pip3 install md2gemini
```

### Génération du site

Pour construire le site, utiliser la commande `kiln build` à la racine du dépôt.

## English

Main website of openbsd.fr.eu.org

### Description

This is the main website of openbsd.fr.eu.org, a French website of a community about OpenBSD. It is entirely build with kiln, a static website generator.

### Construction

#### Dependencies

 * Go
 * Python 3 & pip
 * [kiln](https://git.sr.ht/~adnano/kiln)
 * [gmitohtml](https://git.sr.ht/~adnano/gmnitohtml)
 * [mdtohtml](https://git.sr.ht/~adnano/mdtohtml)
 * [md2gemini](https://github.com/makeworld-the-better-one/md2gemini)
 * gmake (on OpenBSD only)

#### Installation

 * Fedora GNU/Linux :
```bash
$ sudo dnf install go scdoc
$ git clone https://git.sr.ht/~adnano/kiln
$ cd kiln && make && sudo make install
$ git clone https://git.sr.ht/~adnano/mdtohtml
$ cd mdtohtml && make && sudo make install
$ git clone https://git.sr.ht/~adnano/gmnitohtml
$ cd gmnitohtml && make && sudo make install
$ sudo pip3 install md2gemini
```
 * OpenBSD :
```bash
$ doas pkg_add golang gmake scdoc
$ git clone https://git.sr.ht/~adnano/kiln
$ cd kiln && gmake && doas gmake install
$ git clone https://git.sr.ht/~adnano/mdtohtml
$ cd mdtohtml && gmake && doas gmake install
$ git clone https://git.sr.ht/~adnano/gmnitohtml
$ cd gmnitohtml && gmake && doas gmake install
$ pip3 install md2gemini
```

### Site generation

To build the website, use the `kiln build` command at the repo's root.
